Subject: RE: bug#6228: 23.2; Font setting menu on Windows

From: "Drew Adams" <[email-masked]>
Date: Thu, 20 May 2010 11:23:38 -0700

> > > Don't you get the font selection dialog if you press S-mouse-1
> > > (i.e. hold Shift and click the left mouse button)?
> > 
> > The point is that that dialog has changed. It no longer 
> > lets you set the default font for the frame. Now it sets the
> > default font for the _buffer_, using remapping. That affects
> > all windows showing the buffer, in all frames.
> 
> That didn't seem to be OP's point.

Well that was the point (one of his points) when he posted on help-gnu-emacs.

But he can speak for himself better than I can speak for him. I was just trying
to help here.

> He was complaining about the dialog that's gone.
> But I do see the dialog, when I select "Change
> Buffer Font" from the menu that pops up with S-mouse-1.

Yes, you will see the same Windows font dialog box as previously for S-mouse-1,
if you choose "Change Buffer Font". But that dialog box now changes the buffer
font, not the frame font. The meaning has changed.

And there is no easy way (e.g. via S-mouse-1) to change the font for a single
frame.